Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: ZCP 7.0 beta2 -> ZCP 7.0 beta3 database upgrade fails

  1. #11
    Junior Member
    Join Date
    Feb 2011
    Posts
    7

    Re: ZCP 7.0 beta2 -> ZCP 7.0 beta3 database upgrade fails

    Hello Robin,

    this is the output of foldernames.php running in test mode:

    :/usr/local/bin# ./zarafa-foldernames.php -t hu_HU.UTF-8
    PHP Warning: Module 'pam_auth' already loaded in Unknown on line 0

    Sent Items Sent Items
    Outbox Outbox
    Deleted Items Deleted Items
    Inbox Inbox
    Calendar Calendar
    Contacts Contacts
    Drafts Drafts
    Journal Journal
    Notes Notes
    Tasks Tasks
    Junk E-mail Junk E-mail

    The foldernames don't get translated as you can see but Outlook.exe / resetfoldernames does work.

    The " ? " display errors affects the WebAccess and Z-PUSH modules only, not the fat client Outlook.

    There are errors in displaying accented characters on the webacces interface and in the header fields of emails (To: From: Subject: for instance); but displaying of the email body in the message window is correct most of the time ("utf-8 aware").

    Have a nice day. Balázs

  2. #12
    Zarafa QA
    Robin's Avatar
    Join Date
    Jul 2009
    Location
    Delft, Netherlands
    Posts
    4,671

    Re: ZCP 7.0 beta2 -> ZCP 7.0 beta3 database upgrade fails

    Hello Balázs,

    Is the language hu_HU.UTF-8 installed on the machine?

    Greetings,
    Robin
    Zarafa IRC chat: irc.freenode.com > #zarafa
    Zarafa documentation: http://www.zarafa.com/content/documentation
    Zarafa Community webpage: http://community.zarafa.com

  3. #13
    Junior Member
    Join Date
    Feb 2011
    Posts
    7

    Re: ZCP 7.0 beta2 -> ZCP 7.0 beta3 database upgrade fails

    Hello Robin,

    you asked:

    "Is the language hu_HU.UTF-8 installed on the machine?"

    I don't understand what you mean at the moment...

    So go through the language-related things step-by-step.

    1.) locales

    hu_HU.UTF-8 isn't a package, but a locales setting configured by "dpkg-reconfigure locales". hu_HU.UTF-8 is selected here from the list of course (next to hu_HU which is iso8859-2). hu_HU.UTF-8 is the default one to use.


    2.) debian / ubuntu packages needed

    The Zarafa Admin Guide point to "language-pack-XX" packages as a requirement for desired language capability on the Zarafa-server.

    BUT.

    language-pack-XX available in Ubuntu only as I know. I can't find language-pack-XX in Debian 5, packages.debian.org says (keyword: language-pack-hu): "Sorry, your search gave no results".

    3.) /etc/default/zarafa

    :/home/barack# cat /etc/default/zarafa | grep LOCAL
    ZARAFA_LOCALE="hu_HU.UTF-8"
    ZARAFA_USERSCRIPT_LOCALE="hu_HU.UTF-8"

    It seems to be OK.

    4.) Apache2 + Zarafa site + UTF-8




    5.) Browser characther encoding: UTF-8.

    But WebAccess and Z-PUSH doesn't work correctly yet.

    May I have missed any pieces of informations needed for perfect non-english (hungarian) language support?

    Have a nice day. Balázs

  4. #14
    Zarafa QA
    Robin's Avatar
    Join Date
    Jul 2009
    Location
    Delft, Netherlands
    Posts
    4,671

    Re: ZCP 7.0 beta2 -> ZCP 7.0 beta3 database upgrade fails

    Hello Balázs,

    If it is enabled as a locale it should be enough. I will check with the person who made the script if there can be
    a problem.

    Greetings,
    Robin

    Edit:

    I checked with development. The Hungarian translations are not done yet that is why the script does not work.
    I you would like to you can translate for us and if you do the basic terminology you will be able to use the script in the
    next release.
    Zarafa IRC chat: irc.freenode.com > #zarafa
    Zarafa documentation: http://www.zarafa.com/content/documentation
    Zarafa Community webpage: http://community.zarafa.com

  5. #15
    Junior Member
    Join Date
    Feb 2011
    Posts
    7

    Re: ZCP 7.0 beta2 -> ZCP 7.0 beta3 database upgrade fails

    Hello Robin,

    we can do the hungarian translation and we are interested in it. I filled in the form today:

    "Translator – I18N/L10N submission form
    Thank you!
    We will contact you soon to follow up on your submissions."

    Robin, please refer to my previous post's second point:

    "2.) debian / ubuntu packages needed

    The Zarafa Admin Guide point to "language-pack-XX" packages as a requirement for desired language capability on the Zarafa-server.

    BUT.

    language-pack-XX available in Ubuntu only as I know. I can't find language-pack-XX in Debian 5, packages.debian.org says (keyword: language-pack-hu): "Sorry, your search gave no results".

    The result is the same (nothing) with keywords: " language-pack-nl", "language-pack-fr" etc.

    Please clarify the availability of DEBIAN packages. Which debian repository can I find them in? (I could not find them).

    Have a nice day. Balázs

  6. #16
    Zarafa QA
    Robin's Avatar
    Join Date
    Jul 2009
    Location
    Delft, Netherlands
    Posts
    4,671

    Re: ZCP 7.0 beta2 -> ZCP 7.0 beta3 database upgrade fails

    Hello Balázs,

    Great that you will translate for us. For the language packs I am not sure what packages are needed for debian. On my debian machine I used the dpkg-reconfigure locales.

    Greetings,
    Robin
    Zarafa IRC chat: irc.freenode.com > #zarafa
    Zarafa documentation: http://www.zarafa.com/content/documentation
    Zarafa Community webpage: http://community.zarafa.com

Page 2 of 2 FirstFirst 12

Similar Threads

  1. ZCP Community 6.40.4 > 7.0.0 beta3 DB Upgrade
    By dR0PS in forum Beta Feedback Archives
    Replies: 4
    Last Post: 14-03-2011, 02:49 PM
  2. Can't upgrade database on 7.0B2
    By gmmapowell in forum Installation and Configuration Archives
    Replies: 2
    Last Post: 07-02-2011, 08:23 AM
  3. 6.40 Fails to create database
    By compsos in forum Installation and Configuration Archives
    Replies: 1
    Last Post: 04-07-2010, 01:48 PM
  4. Upgrade fails on Ubuntu 8.04
    By n62its in forum Installation and Configuration Archives
    Replies: 2
    Last Post: 09-03-2010, 09:56 AM
  5. upgrade from 6.03 to 6.20 fails
    By daudo in forum Installation and Configuration Archives
    Replies: 5
    Last Post: 14-02-2009, 03:43 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •